diff -Nru dh-golang-1.6/lib/Debian/Debhelper/Buildsystem/golang.pm dh-golang-1.7/lib/Debian/Debhelper/Buildsystem/golang.pm
--- dh-golang-1.6/lib/Debian/Debhelper/Buildsystem/golang.pm	2014-07-29 07:55:33.000000000 +0000
+++ dh-golang-1.7/lib/Debian/Debhelper/Buildsystem/golang.pm	2015-03-08 17:30:07.000000000 +0000
@@ -123,18 +123,26 @@
     return @targets;
 }
 
+sub _doit_in_builddir {
+    my $this = shift;
+
+    verbose_print("GOPATH=" . $ENV{GOPATH});
+    verbose_print(join(" ",@_));
+    $this->doit_in_builddir(@_);
+}
+
 sub build {
     my $this = shift;
 
     $ENV{GOPATH} = $this->{cwd} . '/' . $this->get_builddir();
-    $this->doit_in_builddir("go", "install", "-v", @_, get_targets());
+    $this->_doit_in_builddir("go", "install", "-v", @_, get_targets());
 }
 
 sub test {
     my $this = shift;
 
     $ENV{GOPATH} = $this->{cwd} . '/' . $this->get_builddir();
-    $this->doit_in_builddir("go", "test", "-v", @_, get_targets());
+    $this->_doit_in_builddir("go", "test", "-v", @_, get_targets());
 }
 
 sub install {
@@ -144,14 +152,14 @@
 
     my @binaries = <$builddir/bin/*>;
     if (@binaries > 0) {
-        $this->doit_in_builddir('mkdir', '-p', "$destdir/usr");
-        $this->doit_in_builddir('cp', '-r', 'bin', "$destdir/usr");
+        $this->_doit_in_builddir('mkdir', '-p', "$destdir/usr");
+        $this->_doit_in_builddir('cp', '-r', 'bin', "$destdir/usr");
     }
 
     # Path to the src/ directory within $destdir
     my $dest_src = "$destdir/usr/share/gocode/src/$ENV{DH_GOPKG}";
-    $this->doit_in_builddir('mkdir', '-p', $dest_src);
-    $this->doit_in_builddir('cp', '-r', '-T', "src/$ENV{DH_GOPKG}", $dest_src);
+    $this->_doit_in_builddir('mkdir', '-p', $dest_src);
+    $this->_doit_in_builddir('cp', '-r', '-T', "src/$ENV{DH_GOPKG}", $dest_src);
 }
 
 sub clean {
